package com.ruoyi.ss.store.service;

import com.ruoyi.ss.store.domain.StoreVO;

import java.time.LocalDate;
import java.util.List;

/**
 * @author qzz
 * 2024/4/29
 */
public interface IStoreAssembler {

    /**
     * 拼接设备数量
     * @param list 店铺列表
     */
    void assembleRuleInfo(List<StoreVO> list);

    /**
     * 拼接距离
     * @param list 店铺列表
     * @param lon 经度
     * @param lat 纬度
     */
    void assembleDistance(List<StoreVO> list, String lon, String lat);

    /**
     * 拼接统计数据
     * @param vo 店铺对象
     */
    void assembleStatisticalData(StoreVO vo, LocalDate payStartTime, LocalDate payEndTime);

    /**
     * 拼接营收数据
     * @param list 店铺列表
     */
    void assembleRevenue(List<StoreVO> list);

    /**
     * 拼接归属店铺
     * @param list 店铺列表
     */
    void assembleBelongStore(List<StoreVO> list,Long userId);


    /**
     * 拼接设备数量
     *
     * @param list 店铺列表
     */
    void assembleDeviceCount(List<StoreVO> list);
}
